summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'kde-apps/kolourpaint/kolourpaint-18.08.3.ebuild')
-rw-r--r--kde-apps/kolourpaint/kolourpaint-18.08.3.ebuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/kde-apps/kolourpaint/kolourpaint-18.08.3.ebuild b/kde-apps/kolourpaint/kolourpaint-18.08.3.ebuild
new file mode 100644
index 000000000000..cce9441c5950
--- /dev/null
+++ b/kde-apps/kolourpaint/kolourpaint-18.08.3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_HANDBOOK="forceoptional"
+inherit kde5
+
+DESCRIPTION="Paint Program by KDE"
+HOMEPAGE="https://www.kde.org/applications/graphics/kolourpaint/"
+KEYWORDS="~amd64 ~x86"
+LICENSE="BSD-2 LGPL-2 LGPL-2+ || ( LGPL-2.1 LGPL-3 ) GPL-2 handbook? ( FDL-1.2 )"
+IUSE="scanner"
+
+RDEPEND="
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kguiaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep ktextwidgets)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kxmlgui)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtprintsupport)
+ $(add_qt_dep qtwidgets)
+ scanner? ( $(add_kdeapps_dep libksane) )
+"
+DEPEND="${RDEPEND}
+ sys-devel/gettext
+"
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package scanner KF5Sane)
+ )
+
+ kde5_src_configure
+}